<?php

/*
Plugin Name: WPFTS Addon for Polylang
Description: Modify the search parameters.
Version: 1.0.1
Tested up to: 5.6.2
Author: Epsiloncool
Author URI: https://e-wm.org
License: GPL3
License URI: http://www.gnu.org/licenses/gpl-3.0.html
Text Domain: wpfts_lang
Domain Path: /languages/
*/

/**
 *  Copyright 2013-2021 Epsiloncool
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************************************
 *  I am thank you for the help by buying PRO version of this plugin 
 *  at https://fulltextsearch.org/ 
 *  It will keep me working further on this useful product.
 ******************************************************************************
 * 
 *  @copyright 2013-2021
 *  @license GPL v3
 *  @version 1.0.1
 *  @package Wordpress Fulltext Search Pro
 *  @author Epsiloncool <info@e-wm.org>
 */

/**
 * This addon is intended to be run with Wordpress Fulltext Search plugin
 * 
 */
add_action('pre_get_posts', function($wpq)
{
	if ($wpq->is_main_query() && $wpq->is_search) {
		//pq->tax_query = new WP_Tax_Query( array() );
		$wpq->set('lang', '');
	}			   
}, 99, 1);
